"""
    MoinMoin - Render as WordML action - redirects to the WordML formatter

    @copyright: 2006 Oleg Kobchenko <olegyk@yahoo.com>
    @license: GNU GPL, see COPYING for details.
"""

from MoinMoin.Page import Page
from MoinMoin.util import MoinMoinNoFooter

def execute(pagename, request):
    url = Page(request, pagename).url(request, {'action': 'format',
                                                'mimetype': 'application/msword'}, 0)
    request.http_redirect(url)
    raise MoinMoinNoFooter
